> ## Documentation Index
> Fetch the complete documentation index at: https://docs.carbn.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Custody Wallet Transactions

> Get paginated list of transactions for a custody wallet



## OpenAPI

````yaml /api-reference/openapi.json get /payment/api/v1/custody-wallet/{custody_wallet_id}/transactions
openapi: 3.0.0
info:
  title: Carbn Connect API
  version: 1.0.0
  description: >-
    API documentation for Carbn Connect services including user onboarding, KYC,
    wallet management, and transfers.
servers:
  - url: https://api.carbnconnect.com
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /payment/api/v1/custody-wallet/{custody_wallet_id}/transactions:
    get:
      tags:
        - Custody Wallet
      summary: Get Custody Wallet Transactions
      description: Get paginated list of transactions for a custody wallet
      operationId: getCustodyWalletTransactions
      parameters:
        - name: custody_wallet_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          example: c10dad79-4bd8-47f4-933e-4f197c5af680
          description: The unique identifier of the custody wallet
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
          example: 0
          description: Page number (0-indexed)
        - name: size
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 20
          example: 20
          description: Number of items per page
      responses:
        '200':
          description: Transactions retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustodyWalletTransactionsResponse'
        '400':
          description: Invalid request
        '401':
          description: Unauthorized - API key is missing or invalid
        '404':
          description: Custody wallet not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CustodyWalletTransactionsResponse:
      type: object
      properties:
        content:
          type: array
          items:
            $ref: '#/components/schemas/CustodyWalletTransaction'
          description: List of transactions
        pageable:
          type: object
          properties:
            pageNumber:
              type: integer
              example: 0
              description: Current page number (0-indexed)
            pageSize:
              type: integer
              example: 20
              description: Number of items per page
            sort:
              type: object
              properties:
                sorted:
                  type: boolean
                  example: false
                  description: Whether the results are sorted
                unsorted:
                  type: boolean
                  example: true
                  description: Whether the results are unsorted
                empty:
                  type: boolean
                  example: true
                  description: Whether sort configuration is empty
            offset:
              type: integer
              example: 0
              description: Offset for pagination
            paged:
              type: boolean
              example: true
              description: Whether pagination is enabled
            unpaged:
              type: boolean
              example: false
              description: Whether pagination is disabled
        totalPages:
          type: integer
          example: 1
          description: Total number of pages
        totalElements:
          type: integer
          example: 1
          description: Total number of elements across all pages
        last:
          type: boolean
          example: true
          description: Whether this is the last page
        numberOfElements:
          type: integer
          example: 1
          description: Number of elements in the current page
        size:
          type: integer
          example: 20
          description: Page size
        number:
          type: integer
          example: 0
          description: Current page number (0-indexed)
        sort:
          type: object
          properties:
            sorted:
              type: boolean
              example: false
              description: Whether the results are sorted
            unsorted:
              type: boolean
              example: true
              description: Whether the results are unsorted
            empty:
              type: boolean
              example: true
              description: Whether sort configuration is empty
        first:
          type: boolean
          example: true
          description: Whether this is the first page
        empty:
          type: boolean
          example: false
          description: Whether the page is empty
    CustodyWalletTransaction:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: 065886c3-491f-4afa-aa38-db1dc9a7ecc1
          description: Unique identifier of the transaction
        custody_wallet_id:
          type: string
          format: uuid
          example: c10dad79-4bd8-47f4-933e-4f197c5af680
          description: The unique identifier of the custody wallet
        to_address:
          type: string
          example: 3BsSGETYNCjfULdgYEBVmzwXgaspS6E5pgncJr3bfBeU
          description: Destination wallet address
        crypto:
          type: string
          example: usdc
          description: Cryptocurrency transferred
        source_amount:
          type: number
          example: 1
          description: Amount sent from the custody wallet
        customer_transaction_id:
          type: string
          format: uuid
          nullable: true
          example: 51e4f5ee-3a6b-4c0b-8288-1bc0245ff302
          description: Customer-provided transaction identifier
        destination_amount:
          type: number
          example: 1
          description: Amount received at destination
        txn_hash:
          type: string
          nullable: true
          example: >-
            3JKEegZqbJUjqj1SL6iMECkk3x4Wh4DgFeUEJZdg5PTbVFzkAhPMNMZGo86nVrqyKi91YfZNLK7waXhJWX81tZYo
          description: Blockchain transaction hash
        customer_fee:
          type: number
          example: 0
          description: Fee charged to the customer
        status:
          type: string
          example: PROCESSED
          description: Transaction status
        created_at:
          type: string
          format: date-time
          example: '2026-02-02T10:32:39.073021Z'
          description: Transaction creation timestamp
        updated_at:
          type: string
          format: date-time
          example: '2026-02-02T10:59:43.738664Z'
          description: Transaction last update timestamp
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication. Must be included in the x-api-key header.

````